
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Windows下如何安装python第三方库lxml / 憋错料</title>

    <meta name="description" content="Windows下如何安装python第三方库lxml lxml是个非常有用的python库,它可以灵活高效地解析xml,与BeautifulSoup.requests结合,是编写爬虫的标准姿势. 参考 Windows下如何安装python第三方库lxml 文章记于16年,此篇文章对此更新并加以细节解释 工具/原料 + python + pip +我的电脑 win7 + 64位 方法概述 以下步骤的前提是: 已安装python, 已安装好pip, 已将python安装目录下的scripts目录(如D:\Python27\Scripts)添加到系统环境">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Windows下如何安装python第三方库lxml</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<blockquote><p>lxml是个非常有用的python库，它可以灵活高效地解析xml，与BeautifulSoup、requests结合，是编写爬虫的标准姿势。</p></blockquote>
<ul>
<li>参考 <a href="https://jingyan.baidu.com/article/ad310e80feaac71849f49e98.html" rel="external nofollow noreferrer">Windows下如何安装python第三方库lxml</a> 文章记于16年，此篇文章对此更新并加以细节解释</li>
</ul>
<h3>工具/原料</h3>
<pre><code>+ python
+ pip
+我的电脑  win7 + 64位</code></pre>
<h3>方法概述</h3>
<ul>
<li>以下步骤的前提是：</p>
<ol>
<li>已安装python，</li>
<li>已安装好pip，</li>
<li>已将python安装目录下的scripts目录（如D:\Python27\Scripts）添加到系统环境变量path里。<br />
<a href="http://www.cnblogs.com/yc8930143/p/8258386.html" rel="external nofollow noreferrer">安装搭建Python2.* 和3.* 环境详细步骤</a></li>
</ol>
</li>
<li>方法一：打开cmd，输入pip install lxml。如果安装成功的话，可以不用往下看了，人品太好了。通常呢，都会遇到各种错误，不是这不对，就是那里错，反正就是各种安装不了。<br />
<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAxLzIwMTgwMTIyMjM1MDA1OTk2NzYzLmpwZw==.jpg" /></li>
</ul>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAxLzIwMTgwMTIyMjM1MDA2MjU1NTA5LmpwZw==.jpg" /></p>
<ul>
<li>方法二：基本上，进到这里来看的人，应该都是已经掉到坑里的，所以直接从这里看起就可以。推荐通过lxml的.whl文件来进行安装。</li>
</ul>
<h3>通过lxml的.whl文件来进行安装</h3>
<ol>
<li>打开cmd，输入pip install wheel，先安装wheel库了才能安装.whl文件。<br />
<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAxLzIwMTgwMTIyMjM1MDA2NDU2NjQ4LnBuZw==.jpg" /></li>
<li>进入python(IDIE或cmd均可，此处以通用的cmd进行讲解）。在cmd中，输入python进入python。<br />
然后输入import pip;print(pip.pep425tags.get_supported())，界面上输出当前python的版本信息，如图。<br />
<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAxLzIwMTgwMTIyMjM1MDA3MzE4ODA5LnBuZw==.jpg" /></li>
</ol>
<p>与上图一致，python2.7.14版本，进入python，输入<code>import lxml</code>，证明我之间并没有安装lxml包，如图。<br />
<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAxLzIwMTgwMTIyMjM1MDA3NDU5NDEwLnBuZw==.jpg" /></p>
<ol>
<li>从<a href="https://pypi.python.org" rel="external nofollow noreferrer">官网</a>上下载lxml的.whl文件 <a href="https://pypi.python.org/pypi/lxml" rel="external nofollow noreferrer">直链lxml</a>。注意上图中标注的版本信息，应从网页上下载对应的版本为：<br />
<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAxLzIwMTgwMTIyMjM1MDA3NTkyMjAxLnBuZw==.jpg" /></li>
</ol>
<p>前篇笔者的lxml3.6.4版本的，官网上已经更新迭代了，这里用最新的lxml4.1.1版本</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAxLzIwMTgwMTIyMjM1MDA3OTk5MzYwLnBuZw==.jpg" /></p>
<p>按你自己的配置对照下载；</p>
<ol>
<li>进入文件下载到的文件夹位置，按住shift键的同时，点击鼠标右键，在弹出菜单中选择“在此处打开命令窗口”<br />
<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAxLzIwMTgwMTIyMjM1MDA4MzI3NDMwLnBuZw==.jpg" /></li>
<li>在打开的命令窗口中，输入pip install 【whl文件的全名】，在这里是pip install lxml-4.1.1-cp27-cp27m-win_amd64.whl，等待安装完成。<br />
<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAxLzIwMTgwMTIyMjM1MDA4NzMzNjEyLnBuZw==.jpg" /><br />
如果失败，会报以下错误：<br />
<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAxLzIwMTgwMTIyMjM1MDA4OTIyMDU4LnBuZw==.jpg" /><br />
32位和64位差别不大；我电脑python2.7.14 使用64位失败，32位安装成功</li>
<li>进入python，输入import lxml，未报错，即表示安装成功。</li>
</ol>
<h3>注意事项</h3>
<blockquote><p>若电脑中同时安装了python2和python3，则python2和python3可以安装的版本是不一样的，注意通过print(pip.pep425tags.get_supported())进行查看，不要想当然的以为python3是lxml-3.6.4-cp35-cp35m-win_amd64.whl，则python2的就是lxml-3.6.4-cp27-cp27m-win_amd64.whl。</p></blockquote>
<h4>python2成功之后安装python3.6.4；</h4>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAxLzIwMTgwMTIyMjM1MDA5MzAwOTAxLnBuZw==.jpg" /></p>
<p>进入python，输入import lxml，报错，提示没有安装lxml，python2和python3所需的版本是不一样的；<br />
这里我下载了好几个 cp27 （python2已使用，32位成功，64位失败）； cp33 (如下图报错，不支持)；cp36（python3使用，32位失败，64位成功）</p>

<p>原文地址：https://www.cnblogs.com/yc8930143/p/8326209.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-16 05:51:55 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/html/" title="html">html</a>, <a href="https://www.biecuoliao.com/tag/%e8%87%aa%e5%b7%b1%e7%9a%84/" title="自己的">自己的</a>, <a href="https://www.biecuoliao.com/tag/%e9%94%99%e8%af%af/" title="错误">错误</a>, <a href="https://www.biecuoliao.com/tag/%e5%a4%b1%e8%b4%a5/" title="失败">失败</a>, <a href="https://www.biecuoliao.com/tag/%e7%bd%91%e9%a1%b5/" title="网页">网页</a>, <a href="https://www.biecuoliao.com/tag/%e9%ab%98%e6%95%88/" title="高效">高效</a>, <a href="https://www.biecuoliao.com/tag/%e7%89%88%e6%9c%ac/" title="版本">版本</a>, <a href="https://www.biecuoliao.com/tag/%e7%aa%97%e5%8f%a3/" title="窗口">窗口</a>, <a href="https://www.biecuoliao.com/tag/%e8%bf%99%e4%b8%8d/" title="这不">这不</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Windows下如何安装python第三方库lxml的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MGwgnYM.html" rel="bookmark">linux 安装python第三方库lxml</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				添加依赖 #yum install libxslt-devel libxml2-devel 安装(已安装好pip) #python -m pip install lxml 补充:升级pip #wget -q https://bootstrap.pypa.io/get-pip.py #python get-pip.py			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6g82J0.html" rel="bookmark">使用Pycharm安装Python第三方库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				除了使用easy_insatll和pip工具安装Python第三方库外还可以使用pycharm安装Python第三方库,步骤如下: 1.打开pycharm,点击File,再点击settings 2.点击settings之后再点击project下面的project Interpreter将会出现如下界面: 3.接下来点击上面界面右上角的&quot;+&quot;将会出现如下界面:然后在搜索框中搜索需要安装的第三方库(此处搜索requests)然后点击界面左下角的Install Package进行安装即可.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3O6BK80.html" rel="bookmark">【Python基础】下载python第三方库文件&period;wheel安装python第三方库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				python常见第三方库在Windows安装报错解决方案 最近在Windows下开发,发现很多第三方库在Windows上的兼容性都不是很好,通过谷哥度娘后,发现一个非官方的临时解决方案, 先贴上地址:Unofficial Windows Binaries for Python Extension Packages 1.安装方法 找到库后下载对应使用的Python版本的文件下载,进入轮子文件夹下 打开cmd命令行,使用 pip install xxx.whl 安装. 2.附支持的第三库 1 pen			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzRw9lM.html" rel="bookmark">无互联网情况下安装python第三方库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				正如我前面博文所提到的,公司要求内外网隔离.在国产化设备适配时,要求设备一律不得连接互联网,要用tf环境推理,不得不安装基本环境 1)源码安装 将你所需要的所有第三方库打包,放入一个文件夹下,类型:.tar.gz或者.zip 2)注意依赖包的先后顺序 有些包是有先后依赖的,如在用到numpy.scipy.scikit-learn时,除了他们本身自带顺序,还依赖其他的,若事先不知道来回倒腾会非常麻烦 SciPy 和 numpy 这两个科学计算包的依赖关系较多,安装过程较为复杂. 一般顺序:nose			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JowX9M.html" rel="bookmark">windows下如何安装Python虚拟环境</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.前言 由于Python的版本众多,还有Python2和Python3的争论,因此有些软件包或第三方库就容易出现版本不兼容的问题. 通过 virtualenv 这个工具,就可以构建一系列虚拟的Python环境 ,然后在每个环境中安装需要的软件包(配合 pip 使用),这一系列的环境是相互隔离的.作为一个独立的环境就不容易出现版本问题,还方便部署. 2.安装virtualenv 使用以下命令安装: pip install virtualenv 测试是否安装成功: virtualenv --ver			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Ae7Jb4.html" rel="bookmark">windows下快速安装python及pycharm</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Python安装: 推荐使用Anaconda来安装python及其运行环境,anaconda指的是一个开源的python发行版本,其包含了conda.Python等180多个科学包及其依赖项. Anaconda的下载地址,推荐使用清华大学提供的镜像版本,下载速度会比较快: https://mirrors.tuna.tsinghua.edu.cn/anaconda/archive/ 选择自己适合的版本就好 下载完点击exe文件即可安装 注意:在下面的选项中最好勾选第一个选项框,可以免去配置环境变量			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49RqKAM.html" rel="bookmark">关于安装python第三方库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				安装python库的两种方式: 一)在线安装: 1)pip install 模块名 2)使用国内源安装:pip install 国内源地址 模块名 3)pycharm中setting-interpreter 二)离线安装 去python官网或网上找到离线安装包: 1)解压 2)拷贝解压后的文件 到python安装的路径 3)在cmd 利用cd一级一级进到安装包文件路径 [安装文件setup.py] 4) python setup.py install python库的位置有两个地方: 1.pyt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47R7z13.html" rel="bookmark">Windows下Anaconda安装 python &plus; tensorflow</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				下载安装Anaconda 首先下载Anaconda,可以从清华大学的镜像网站进行下载. 安装Anaconda,注意安装时不要将添加环境变量的选项取消掉. 安装完成之后,在安装目录下cmd,输入 conda list 可以查看Anaconda为我们提供的集成环境: 下面只是一部分截图: 查看版本信息: conda --version Anaconda 安装成功. 接下来需要设置 Anaconda 仓库镜像,因为默认连接的是国外镜像地址,下载速度比较慢,我们把镜像地址改为清华大学开源软件镜像站,An			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Z0YgZJ4.html" rel="bookmark">安装python 第三方库遇到的安装问题 microsoft visual studio c&plus;&plus; 10&period;0 is required，Could not find function xmlCheckVersion in library libxml2&period; Is libxml2 installed&quest;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题一: microsoft visual studio c++ 10.0 is required 安装scrapy时候出现需要vc c++ 10,有时安装其他也会有. 解决方法:安装vc 2010,安装过2017无效,安装过程也不一样. 问题二: 安装好,出现Could not find function xmlCheckVersion in library libxml2. Is libxml2 installed? 解决办法: 1.pip install wheel 2. 到http://			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Q3qLOp0.html" rel="bookmark" class="title">如何使用老毛桃进行ghost备份系统</a>
					<div>
						方法/步骤 将制作好的老毛桃U盘插入电脑USB接口中,启动电脑,按Del进入老毛桃主菜单界面,如图所示:   用键盘上的方向键↓切换到“[2]运行老毛桃win8PE防蓝屏版(新电脑)”,回车进入PE系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgLNmr0.html" rel="bookmark" class="title">进击的雨燕--------------协议</a>
					<div>
						详情转自:http://wiki.jikexueyuan.com/project/swift/chapter2/07_Closures.html 协议定义了一个蓝图,规定了用来实现某一特定工作或者功能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lr86N4.html" rel="bookmark" class="title">局域网共享磁盘或文件夹访问</a>
					<div>
						如果你的局域网内有一台主机(主机名:PC101,IP:192.168.1.101)上共享了D盘和一个文件夹SharedFolder. 访问该主机D盘:\\PC101\D$\\\192.168.1.10 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDdrN7M.html" rel="bookmark" class="title">LeetCode OJ Linked List&colon; 24题、148题和61题</a>
					<div>
						题外话:最近打算做一些LeetCode OJ上面的练习题了,当然很多前辈都已经写过若干解题报告了.坦白说,也正是因为前辈们的贡献,才让我们学习到了很多知识.所以,我一直都在犹豫到底要不要写解题报告多此 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nvQVK0.html" rel="bookmark" class="title">5、使用泛型替代原生类型</a>
					<div>
						java1.5中提供了泛型,简单来说就是将类型作为参数传入,这样java会自动转换类型,不需要我们进行强制转换. Map&lt;String, Integer&gt; map = new HashMa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPDwK1M.html" rel="bookmark" class="title">登录界面的搭建</a>
					<div>
						实现的效果如下:  界面有点丑,图片什么的懒得找了,所以...你懂得!!! 但是基本界面的布局还是实现了. \ 代码如下:  注释很清楚哟!!! /** * Sample React Native A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49rBKJM.html" rel="bookmark" class="title">邮件系统服务器搭建记录（四）（Postfix&plus;Cyrus-sasl&plus;Courier-authlib&plus;Dovecot&plus;ExtMail&plus;MySQL）</a>
					<div>
						8. 安装Apache Http Server: [[email protected] ~]# yum install httpd 9. 下载ExtMail和ExtMan,并使用Extman提供的My ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dNjmB4.html" rel="bookmark" class="title">Remember that ordinal parameters are 1-based&excl;</a>
					<div>
						今天使用Hibernate出个奇怪的错误,第一次碰到 原因是 问题发生的原因是:hql语句里不需要参数,却添加了一个参数,删掉添加参数的语句就可以了! 我的HQL语句:String hql=&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXneYw3.html" rel="bookmark" class="title">Oracle EBS-SQL &lpar;PO-14&rpar;&colon;检查供应商信息sql</a>
					<div>
						select pvs.org_id, pvs.vendor_id, pvs.vendor_site_id, hou.name                                 经营组织, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49eQQJ4.html" rel="bookmark" class="title">ActionScript3游戏中的图像编程（连载二十七）</a>
					<div>
						2.2 Photoshop投影样式在Flash基本滤镜中的体现 作为上帝的另一个化身,Flash在图层样式方面自然也不甘示弱,不过在Flash里面,它有另外一个名字--滤镜(仅仅从概念上说,Flash ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmNnl10.html" rel="bookmark" class="title">DNS中A记录和CNAME记录的区别（转）</a>
					<div>
						A记录是域名到ip的映射,即为ip起别名:CNAME是域名别名到域名的映射,即为域名起别名. 还有一个常用的记录是MX记录,它是与邮件相关的,MX记录记录了发送电子邮件时域名对应的服务器地址. 原文: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MobW1B4.html" rel="bookmark" class="title">java 使用 集合 制作学生管理系统</a>
					<div>
						以上是文件组织结构 下面是个.java的具体代码: 1 package com.collection.students.pojo; 2 3 public class Student { 4 priva ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38rbLyM.html" rel="bookmark" class="title">debian支持ll命令</a>
					<div>
						$ ll -bash: ll: command not found 没有ll这个命令,虽然也知道ll其实 是ls -l 这个命令的别名,但是总感觉不是很习惯,因为之前一直用centos的. 如果想让d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDlyreM.html" rel="bookmark" class="title">对百度地图SDK中的真机framework和模拟器framework合并时遇到的问题</a>
					<div>
						在终端中输入的命令: lipo -create Release-iphoneos/BaiduMapAPI.framework/BaiduMapAPI Release-iphonesimulator/B ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OXZlK4.html" rel="bookmark" class="title">2&period;PHP如何记录错误和发送错误</a>
					<div>
						1. 将错误记录到指定的文件中,配置过程如下 * 1). log_errors=on * 2). error_log=/tmp/php_error.log 1.使用error_log()函数记录错误日 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wNpZY0.html" rel="bookmark" class="title">&lpar;转）五大常用算法之一：分治算法</a>
					<div>
						http://www.cnblogs.com/steven_oyj/archive/2010/05/22/1741370.html 分治算法 一.基本概念 在计算机科学中,分治法是一种很重要的算法.字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e6x253.html" rel="bookmark" class="title">Bellman-Ford 单源最短路径算法</a>
					<div>
						Bellman-Ford 算法是一种用于计算带权有向图中单源最短路径(SSSP:Single-Source Shortest Path)的算法.该算法由 Richard Bellman 和 Leste ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35poRv0.html" rel="bookmark" class="title">BestCoder Round &num;21 1002 Formula</a>
					<div>
						Formula Time Limit: 4000/2000 MS (Java/Others)    Memory Limit: 32768/32768 K (Java/Others) Total Su ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXoeyb4.html" rel="bookmark" class="title">mac Zip 常用命令</a>
					<div>
						最通俗的用法 zip -q -r -e -m -o [yourName].zip someThing -q 表示不显示压缩进度状态 -r 表示子目录子文件全部压缩为zip  //这部比较重要,不然的话 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MG7ynbM.html" rel="bookmark" class="title">Deep Analysis UIImageJPEGRepresentation&amp;amp&semi;UIImagePNGRepresentation</a>
					<div>
						ios中提供了将UIImage转换成NSData的方法 UIKIT_EXTERN NSData *UIImagePNGRepresentation(UIImage *image); // return ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
